## lua-sql 2.0.2

=== Makefile ===
V= 2.0.1
CONFIG= ./config

include $(CONFIG)

OBJS= $(COMPAT_DIR)/compat-5.1.o src/luasql.o src/ls_$T.o


SRCS= src/luasql.h src/luasql.c \
	src/ls_postgres.c \
	src/ls_odbc.c \
	src/ls_oci8.c \
	src/ls_mysql.c \
	src/ls_sqlite.c

AR= ar rcu
RANLIB= ranlib


lib: src/$(LIBNAME)

src/$(LIBNAME): $(OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) -o $@ $(LIB_OPTION) $(OBJS) $(DRIVER_LIBS)

$(COMPAT_DIR)/compat-5.1.o: $(COMPAT_DIR)/compat-5.1.c
	$(CC) -c $(CFLAGS) -o $@ $(COMPAT_DIR)/compat-5.1.c

install:
	mkdir -p $(LUA_LIBDIR)/luasql
	cp src/$(LIBNAME) $(LUA_LIBDIR)/luasql
	cd $(LUA_LIBDIR)/luasql; ln -f -s $(LIBNAME) $T.so

jdbc_driver:
	cd src/jdbc; make $@

clean:
	rm -f src/$(LIBNAME) src/*.o $(COMPAT_DIR)/compat-5.1.o

# $Id: Makefile,v 1.50 2005/06/27 17:01:03 tomas Exp $

## lua-sql 2.1.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,13 @@
-V= 2.0.1
+V= 2.1.1
 CONFIG= ./config
 
 include $(CONFIG)
 
-OBJS= $(COMPAT_DIR)/compat-5.1.o src/luasql.o src/ls_$T.o
+ifeq "$(LUA_VERSION_NUM)" "500"
+COMPAT_O= $(COMPAT_DIR)/compat-5.1.o
+endif
+
+OBJS= src/luasql.o src/ls_$T.o $(COMPAT_O)
 
 
 SRCS= src/luasql.h src/luasql.c \
@@ -28,12 +32,11 @@
 install:
 	mkdir -p $(LUA_LIBDIR)/luasql
 	cp src/$(LIBNAME) $(LUA_LIBDIR)/luasql
-	cd $(LUA_LIBDIR)/luasql; ln -f -s $(LIBNAME) $T.so
 
 jdbc_driver:
 	cd src/jdbc; make $@
 
 clean:
-	rm -f src/$(LIBNAME) src/*.o $(COMPAT_DIR)/compat-5.1.o
+	rm -f src/$(LIBNAME) src/*.o $(COMPAT_O)
 
-# $Id: Makefile,v 1.50 2005/06/27 17:01:03 tomas Exp $
+# $Id: Makefile,v 1.54 2007/10/29 21:44:54 carregal Exp $

## lua-sql 2.2.0~rc1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	src/ls_odbc.c \
 	src/ls_oci8.c \
 	src/ls_mysql.c \
-	src/ls_sqlite.c
+	src/ls_sqlite.c \
+	src/ls_sqlite3.c
 
 AR= ar rcu
 RANLIB= ranlib
@@ -39,4 +40,4 @@
 clean:
 	rm -f src/$(LIBNAME) src/*.o $(COMPAT_O)
 
-# $Id: Makefile,v 1.54 2007/10/29 21:44:54 carregal Exp $
+# $Id: Makefile,v 1.55 2008/01/08 18:50:49 mascarenhas Exp $

=== debian/changelog ===
lua-sql (2.2.0~rc1-3) unstable; urgency=low

  * Rebuild against lua5.1-policy-dev >= 27 to get rid of .la (Closes: #622500) 
  * Update Standards-version to 3.9.2, no changes
  * Version 3.0 (quilt)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Apr 2011 21:19:56 +0200

lua-sql (2.2.0~rc1-2) unstable; urgency=low

  * changed lua to Lua in package description
  * build depend on lua5.1-policy-dev >= 22
  * bumped standards version to 3.8.2, no changes needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Jul 2009 14:00:34 +0200

lua-sql (2.2.0~rc1-1) unstable; urgency=low

  * New upstream release candidate

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 19 Apr 2008 11:57:25 +0200

lua-sql (2.1.1-4) unstable; urgency=low

  * Activated postgres backend

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 22 Feb 2008 18:14:56 +0100

lua-sql (2.1.1-3) unstable; urgency=low

  * the tests on hppa terminates with a os.exit(0) that essentially skips
    dlclosing the sqlite bindings. This is a bug, probably outside the binding
    itself.
  * added Vcs-Browser and removed XS-X- from Vcs-Svn
  * fixed description of the -doc package
  * updated to standards-version 3.7.3, no changes needed
  * fixed some lintian warnings regarding sections of -dev and -doc packages.

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 13 Jan 2008 18:16:58 +0100

lua-sql (2.1.1-2) unstable; urgency=low

  * Added Homepage field in control file
  * Renamed package to reflect sqlite3 migration

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 30 Oct 2007 15:07:32 +0100

lua-sql (2.1.1-1) unstable; urgency=low

  * Renamed cdbs deprecated variable
  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 30 Oct 2007 10:54:36 +0100

lua-sql (2.0.2-3) unstable; urgency=low

  * Updated to policy 10 and added clean hook to remove sqlite test db
    (Closes: #424555)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 16 May 2007 15:57:12 +0200

lua-sql (2.0.2-2) unstable; urgency=low

  * made control file binNMU safe
  * Added a note about the documentation shipped within the -dev package
    in the control file
  * Added call to lua5.1-policy-apply --reverse in clean:: hook

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 16 Oct 2006 10:54:05 +0200

lua-sql (2.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #392120)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 10 Oct 2006 15:28:33 +0200

=== debian/control ===
Source: lua-sql
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), quilt (>= 0.40), libmysqlclient15-dev, libsqlite3-dev, lua5.1-policy-dev (>= 27), libpq-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-sql
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-sql
Homepage: http://www.luaforge.net/projects/luasql

Package: liblua5.1-sql-sqlite3-2
Architecture: any
Depends: ${shlibs:Depends}
Replaces: liblua5.1-sql-sqlite2
Conflicts: liblua5.1-sql-sqlite2
Provides: liblua5.1-sql-sqlite2
Description: luasql library for the Lua language version 5.1
 This package contains the luasql library (sqlite3 backend).

Package: liblua5.1-sql-sqlite3-dev
Architecture: any
Depends: liblua5.1-sql-sqlite3-2 (= ${binary:Version})
Replaces: liblua5.1-sql-sqlite-dev
Conflicts: liblua5.1-sql-sqlite-dev
Provides: liblua5.1-sql-sqlite-dev
Section: libdevel
Description: luasql development files for the Lua language version 5.1
 This package contains the development files of the luasql library (sqlite
 backend), useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: liblua5.1-sql-postgres-2
Architecture: any
Depends: ${shlibs:Depends}
Description: luasql library for the Lua language version 5.1
 This package contains the luasql library (PostgreSQL backend).

Package: liblua5.1-sql-postgres-dev
Architecture: any
Section: libdevel
Depends: liblua5.1-sql-postgres-2 (= ${binary:Version})
Description: luasql development files for the Lua language version 5.1
 This package contains the development files of the luasql library (PostgreSQL
 backend), useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: liblua5.1-sql-mysql-2
Architecture: any
Depends: ${shlibs:Depends}
Replaces: liblua5.1-sql-mysql2
Conflicts: liblua5.1-sql-mysql2
Provides: liblua5.1-sql-mysql2
Description: luasql library for the Lua language version 5.1
 This package contains the luasql library (MySQL backend).

Package: liblua5.1-sql-mysql-dev
Architecture: any
Section: libdevel
Depends: liblua5.1-sql-mysql-2 (= ${binary:Version})
Description: luasql development files for the Lua language version 5.1
 This package contains the development files of the luasql library (MySQL
 backend), useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).

Package: liblua5.1-sql-doc
Architecture: all
Section: doc
Description: luasql documentation
 This package contains the documentation of the luasql library.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-sql
#
version=3
http://luaforge.net/frs/?group_id=12  /frs/download.php/\d+/luasql-([\d\.]*).tar.gz

## lua-sql 2.3.0

=== Makefile ===
V= 2.3.0
CONFIG= ./config

include $(CONFIG)

OBJS= src/luasql.o src/ls_$T.o


SRCS= src/luasql.h src/luasql.c \
	src/ls_firebird.c \
	src/ls_postgres.c \
	src/ls_odbc.c \
	src/ls_oci8.c \
	src/ls_mysql.c \
	src/ls_sqlite.c \
	src/ls_sqlite3.c

AR= ar rcu
RANLIB= ranlib


lib: src/$(LIBNAME)

src/$(LIBNAME): $(OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) -o $@ $(LIB_OPTION) $(OBJS) $(DRIVER_LIBS)

install:
	mkdir -p $(LUA_LIBDIR)/luasql
	cp src/$(LIBNAME) $(LUA_LIBDIR)/luasql

jdbc_driver:
	cd src/jdbc; make $@

clean:
	rm -f src/$(LIBNAME) src/*.o

# $Id: Makefile,v 1.56 2008/05/30 17:21:18 tomas Exp $

=== debian/changelog ===
lua-sql (2.3.0-4build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:44:28 +0000

lua-sql (2.3.0-4) unstable; urgency=medium

  * Rebuild against Lua 5.1.5-7 (Closes: #723492)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Aug 2014 21:54:50 +0200

lua-sql (2.3.0-3) unstable; urgency=low

  * Fix compilation with postgresql 9.3 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Sep 2013 20:04:39 +0200

lua-sql (2.3.0-2) unstable; urgency=low

  * Packaging moved to git
  * Transitional packages removed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 24 May 2012 18:00:04 +0200

lua-sql (2.3.0-1) unstable; urgency=low

  * New upstream release
  * Fix watch file 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 16:26:50 +0200

lua-sql (2.2.0+45+g68e30fc-1) experimental; urgency=low

  * New upstram snapshot with lua 5.2 support
  * Switch to dh-lua
  * debian/compat set to 8
  * Packages renamed according to the new Lua policy
  * copyright format 1.0 
  * disable patches/test
  * watch file updated 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 30 Apr 2012 16:16:45 +0200

lua-sql (2.2.0~rc1-5) unstable; urgency=low

  * build-dep on libmysqlclient-dev instead of libmysqlclient15-dev 
    (Closes: #650597)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 03 Dec 2011 14:59:34 +0100

lua-sql (2.2.0~rc1-4) unstable; urgency=low

  * multi-arch compliant (dh >= 8.1.3, lua5.1-policy >= 32) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jul 2011 23:22:55 +0200

=== debian/control ===
Source: lua-sql
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua, libmysqlclient-dev, libsqlite3-dev, libpq-dev
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-sql
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-sql
Homepage: https://github.com/keplerproject/luasql

Package: lua-sql-sqlite3
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luasql library for the Lua language
 This package contains the luasql library (Sqlite3 backend).

Package: lua-sql-sqlite3-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-sql-sqlite3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: libdevel
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luasql development files for the Lua language
 This package contains the development files of the luasql library
 (Sqlite3 backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).

Package: lua-sql-postgres
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luasql library for the Lua language
 This package contains the luasql library (PostgreSQL backend).

Package: lua-sql-postgres-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Depends: lua-sql-postgres (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luasql development files for the Lua language
 This package contains the development files of the luasql library
 (PostgreSQL backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).

Package: lua-sql-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luasql library for the Lua language
 This package contains the luasql library (MySQL backend).

Package: lua-sql-mysql-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: lua-sql-mysql (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Section: libdevel
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: luasql development files for the Lua language
 This package contains the development files of the luasql library 
 (MySQL backend), useful to create a statically linked binary 
 (like a C application or a standalone Lua interpreter).

Package: lua-sql-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: luasql documentation
 This package contains the documentation of the luasql library.

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-sql
#
version=3
https://github.com/keplerproject/luasql/tags .*/tarball/v([\d\.]+)

## lua-sql 2.3.4

=== Makefile ===
V= 2.3.4
CONFIG= ./config

include $(CONFIG)

OBJS= src/luasql.o
SRCS= src/luasql.h src/luasql.c

# list of all driver names
DRIVER_LIST= $(subst src/ls_,,$(basename $(wildcard src/ls_*.c)))

# used for help formatting
EMPTY=
SPACE= $(EMPTY) $(EMPTY)

all : 
	@echo "usage: make { $(subst $(SPACE),$(SPACE)|$(SPACE),$(DRIVER_LIST)) }"

# explicity matches against the list of avilable driver names
$(DRIVER_LIST) : % : src/%.so

# builds the specified driver
src/%.so : src/ls_%.c $(OBJS) 
	$(CC) $(CFLAGS) src/ls_$*.c -o $@ $(LIB_OPTION) $(OBJS) $(DRIVER_INCS_$*) $(DRIVER_LIBS_$*)

# builds the general LuaSQL functions
$(OBJS) : $(SRCS)
	$(CC) $(CFLAGS) -c src/luasql.c -o src/luasql.o

install:
	mkdir -p $(LUA_LIBDIR)/luasql
	cp src/*.so $(LUA_LIBDIR)/luasql

jdbc_driver:
	cd src/jdbc; make $@

clean:
	rm -f src/*.so src/*.o

=== debian/changelog ===
lua-sql (2.3.4-1) unstable; urgency=medium

  * New upstream bugfix release
  * Update watch file 
  * Enable build for Lua 5.3 
  * Enable ODBC backend (packaging sponsored by Apartment Lines)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 03 Jan 2017 18:58:50 +0100

lua-sql (2.3.0-5) unstable; urgency=medium

  * Team upload
  * Replace Build-Depends: libmysqlclient-dev by default-libmysqlclient-dev
    (Closes: #845872)
  * Replace Pre-Depends: multiarch-support by ${misc:Pre-Depends}

 -- Mathieu Parent <sathieu@debian.org>  Fri, 16 Dec 2016 05:13:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua, libmysqlclient-dev, libsqlite3-dev, libpq-dev
+Build-Depends: debhelper (>= 8.1.3), dh-lua, default-libmysqlclient-dev, libsqlite3-dev, libpq-dev, unixodbc-dev
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-sql
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-sql
@@ -11,7 +11,7 @@
 Package: lua-sql-sqlite3
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -21,7 +21,7 @@
 Package: lua-sql-sqlite3-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lua-sql-sqlite3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Section: libdevel
 Provides: ${lua:Provides}
@@ -34,7 +34,7 @@
 Package: lua-sql-postgres
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -44,7 +44,7 @@
 Package: lua-sql-postgres-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Depends: lua-sql-postgres (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${lua:Provides}
@@ -57,7 +57,7 @@
 Package: lua-sql-mysql
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${lua:Provides}
 XB-Lua-Versions: ${lua:Versions}
@@ -67,7 +67,7 @@
 Package: lua-sql-mysql-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lua-sql-mysql (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Section: libdevel
 Provides: ${lua:Provides}
@@ -77,6 +77,29 @@
  (MySQL backend), useful to create a statically linked binary 
  (like a C application or a standalone Lua interpreter).
 
+Package: lua-sql-odbc
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: ${lua:Provides}
+XB-Lua-Versions: ${lua:Versions}
+Description: luasql library for the Lua language
+ This package contains the luasql library (ODBC backend).
+
+Package: lua-sql-odbc-dev
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: lua-sql-odbc (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Section: libdevel
+Provides: ${lua:Provides}
+XB-Lua-Versions: ${lua:Versions}
+Description: luasql development files for the Lua language
+ This package contains the development files of the luasql library 
+ (ODBC backend), useful to create a statically linked binary 
+ (like a C application or a standalone Lua interpreter).
+
 Package: lua-sql-doc
 Architecture: all
 Section: doc

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-sql
#
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/lua-sql-$1.tar.gz/" \
         https://github.com/keplerproject/luasql/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## lua-sql 2.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-V= 2.3.4
+V= 2.6.0
 CONFIG= ./config
 
 include $(CONFIG)

=== debian/changelog ===
lua-sql (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * wrap-and-sort
  * use debhelper 13, update Vcs-* and Standards-Version
  * Add lua-team as maintainer, add myself as Uploader (Closes: #995522)
  * update watch to version 4
  * build does not require root
  * add doc/fr
  * update rules
  * add support for lua5.4
  * remove img link from docs to fix lintian issue privacy-breach-w3c-valid-html

 -- Victor Seva <vseva@debian.org>  Wed, 10 Nov 2021 12:18:04 +0100

lua-sql (2.3.4-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 12:27:21 +0100

=== debian/control ===
Source: lua-sql
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 dh-lua,
 libpq-dev,
 libsqlite3-dev,
 unixodbc-dev,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/lua-team/lua-sql.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-sql
Homepage: https://github.com/keplerproject/luasql
Rules-Requires-Root: no

Package: lua-sql-sqlite3
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: luasql library for the Lua language
 This package contains the luasql library (Sqlite3 backend).

Package: lua-sql-sqlite3-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-sql-sqlite3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libdevel
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: luasql development files for the Lua language
 This package contains the development files of the luasql library
 (Sqlite3 backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

Package: lua-sql-postgres
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: luasql library for the Lua language
 This package contains the luasql library (PostgreSQL backend).

Package: lua-sql-postgres-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Section: libdevel
Depends:
 lua-sql-postgres (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: luasql development files for the Lua language
 This package contains the development files of the luasql library
 (PostgreSQL backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

Package: lua-sql-mysql
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: luasql library for the Lua language
 This package contains the luasql library (MySQL backend).

Package: lua-sql-mysql-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-sql-mysql (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libdevel
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: luasql development files for the Lua language
 This package contains the development files of the luasql library
 (MySQL backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

Package: lua-sql-odbc
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: luasql library for the Lua language
 This package contains the luasql library (ODBC backend).

Package: lua-sql-odbc-dev
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lua-sql-odbc (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Section: libdevel
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: luasql development files for the Lua language
 This package contains the development files of the luasql library
 (ODBC backend), useful to create a statically linked binary
 (like a C application or a standalone Lua interpreter).

Package: lua-sql-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Description: luasql documentation
 This package contains the documentation of the luasql library.

## lua-sql 2.7.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-V= 2.6.0
+V= 2.7.0
 CONFIG= ./config
 
 include $(CONFIG)
@@ -16,7 +16,7 @@
 all : 
 	@echo "usage: make { $(subst $(SPACE),$(SPACE)|$(SPACE),$(DRIVER_LIST)) }"
 
-# explicity matches against the list of avilable driver names
+# explicitly matches against the list of available driver names
 $(DRIVER_LIST) : % : src/%.so
 
 # builds the specified driver

=== src/jdbc/Makefile ===
# JDBC
JDK= $(JAVA_HOME)
#source dir
JDBC_SRC= src/java
#lib dir
JDBC_LIB= lib
#build dir
JDBC_BUILD= bin
#java compiler
JAVAC= $(JAVA_HOME)/bin/javac
JAR= $(JAVA_HOME)/bin/jar
#luajava jar name
LUAJAVA_JAR= luajava-1.0b4.jar
#compilation options
COMPILEOPT= -d $(JDBC_BUILD) -classpath $(JDBC_LIB)/$(LUAJAVA_JAR)
#package name
ALLPACKAGES= org/keplerproject/luasql/jdbc
SUBDIRS= addprefix $(JDBC_SRC), $(ALLPACKAGES)
SOURCEDIRS= $(JDBC_SRC)/$(ALLPACKAGES)
SOURCEFILES = $(addsuffix /*.java, $(SOURCEDIRS))
JARSDIR= .
PACKAGENAME= luasql


jdbc_driver:
	rm -rf $(JDBC_BUILD)
	mkdir $(JDBC_BUILD)
	for i in $(SUBDIRS);  \
	do ( $(JAVAC) $(COMPILEOPT) $(SOURCEFILES) ) done
	$(JAR) -cvf $(JARSDIR)/$(PACKAGENAME).jar -C $(JDBC_BUILD) .
	
clean:
	rm -rf $(JDBC_BUILD)
	rm -f $(JARSDIR)/$(PACKAGENAME).jar

=== debian/changelog ===
lua-sql (2.7.0-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Mon, 13 Oct 2025 16:48:58 +0200

lua-sql (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1063730).
  * Refresh patches.
  * Add a patch from upstream which implements missing cur_gc function
    in ls_odbc.c.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Aug 2025 13:52:03 +0300

lua-sql (2.6.0-3) unstable; urgency=medium

  * Team upload.
  * Apply patch from upstream to fix FTBFS with GCC 14 (closes: #1075239).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 12 Aug 2024 12:08:53 +0300

lua-sql (2.6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + lua-sql-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 11:40:40 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libpq-dev,
  libsqlite3-dev,
  unixodbc-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/lua-team/lua-sql.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-sql
 Homepage: https://github.com/keplerproject/luasql
@@ -150,5 +150,6 @@
 Section: doc
 Depends:
  ${misc:Depends},
+Multi-Arch: foreign
 Description: luasql documentation
  This package contains the documentation of the luasql library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_compress:
	dh_compress -X.lua -X.cnf

execute_after_dh_auto_install:
	find debian/tmp -name '*.la' -exec rm -rv {} +

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-sql
#
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/lua-sql-$1.tar.gz/" \
         https://github.com/keplerproject/luasql/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
